async function reinstallServer() {
    if (!confirm("⚠️ Alle Welten werden gelöscht! Wirklich fortfahren?")) return;

    const type = document.getElementById("serverType").value;
    const version = document.getElementById("version").value;

    const res = await fetch("/reinstallServer", {
        method: "POST",
        headers: {
            "Content-Type": "application/json"
        },
        body: JSON.stringify({ type, version })
    });

    alert(await res.text());
}


function updateReinstallButton() {
    const onlineSymbol = document.querySelector(".onlineSymbol");
    const btn = document.getElementById("reinstallBtn");

    if (!btn || !onlineSymbol) return;

    const serverOnline = onlineSymbol.textContent === "Online";

    btn.disabled = serverOnline;
    btn.style.opacity = serverOnline ? "0.5" : "1";
    btn.style.cursor = serverOnline ? "not-allowed" : "pointer";
}

setInterval(updateReinstallButton, 3000);
updateReinstallButton();